@extends('admin.layouts.app')
@section('panel')
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                        <div class="row">
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label> @lang('Bitcoin')</label>
                                    <input class="form-control" type="text" name="btc" value="{{ $general->btc }}">
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('ETH')</label>
                                    <input class="form-control" type="text" name="eth" value="{{ $general->eth }}">
                                </div>
                            </div>
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('USDT TRX')</label>
                                    <input class="form-control" type="text" name="usdt_trx" value="{{ $general->usdt_trx }}">
                                </div>
                            </div>  

                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('USDT ERC')</label>
                                    <input class="form-control" type="text" name="usdt_erc" value="{{ $general->usdt_erc }}">
                                </div>
                            </div>  
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('Solana')</label>
                                    <input class="form-control" type="text" name="solana" value="{{ $general->solana }}">
                                </div>
                            </div>  
   
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('Bank Transfer')</label>
                                    <input class="form-control" type="text" name="bank" value="{{ $general->bank }}">
                                </div>
                            </div>  
   
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('Cashapp')</label>
                                    <input class="form-control" type="text" name="cashapp" value="{{ $general->cashapp }}">
                                </div>
                            </div>  
   
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('Paypal')</label>
                                    <input class="form-control" type="text" name="paypal" value="{{ $general->paypal }}">
                                </div>
                            </div>  
   
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('Zelle')</label>
                                    <input class="form-control" type="text" name="zelle" value="{{ $general->zelle }}">
                                </div>
                            </div>  
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('XRP')</label>
                                    <input class="form-control" type="text" name="xrp" value="{{ $general->xrp }}">
                                </div>
                            </div>  
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('ADA')</label>
                                    <input class="form-control" type="text" name="ada" value="{{ $general->ada }}">
                                </div>
                            </div>  
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('DOGE')</label>
                                    <input class="form-control" type="text" name="doge" value="{{ $general->doge }}">
                                </div>
                            </div>  
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label>@lang('DOT')</label>
                                    <input class="form-control" type="text" name="dot" value="{{ $general->dot }}">
                                </div>
                            </div>  
  
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn--primary w-100 h-45">@lang('Submit')</button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('style')
    <style>
        .select2-container {
            z-index: 0 !important;
        }

        .border-line-area {
            position: relative;
            text-align: center;
            z-index: 1;
        }

        .border-line-area::before {
            position: absolute;
            content: '';
            top: 50%;
            left: 0;
            width: 100%;
            height: 1px;
            background-color: #e5e5e5;
            z-index: -1;
        }

        .border-line-title {
            display: inline-block;
            padding: 3px 10px;
            background-color: #fff;
        }
    </style>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/admin/js/spectrum.js') }}"></script>
@endpush

@push('style-lib')
    <link rel="stylesheet" href="{{ asset('assets/admin/css/spectrum.css') }}">
@endpush

@push('script')
    <script>
        (function($) {
            "use strict";
            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function(color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function() {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('select[name=timezone]').val("'{{ config('app.timezone') }}'").select2();
            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });

            $('[name=b_transfer]').change(function() {
                if ($(this).is(":checked")) {
                    $('.bal-charge').removeAttr('readonly');
                } else {
                    $('.bal-charge').attr('readonly', true);
                }
            }).change();
        })(jQuery);
    </script>
@endpush
