@extends($activeTemplate.'layouts.master')
@section('content')
  <section class="col-span-7 py-36 px-5">
        @if (Auth::user()->kv == 0 || Auth::user()->kv == 2)
            <div style='padding: 5px; background: orange; font-size: 12px; border-radius: 3px;'><i
                    class='fa fa-info-circle'></i> Dear {{Auth::user()->fullname}} , Please complete your kyc verification info.
            </div><br>
        @endif
        <script>
            function translateText() {
                const textToTranslate = encodeURIComponent(document.getElementById('textToTranslate').value);
                const targetLanguage = document.getElementById('targetLanguage').value;

                const translationURL = `https://translate.google.com/?sl=auto&tl=${targetLanguage}&text=${textToTranslate}`;

                // Open the translation in a new window or tab
                window.open(translationURL, '_blank');
            }
        </script> 
        
           <div class="bg-gray-800 rounded sm:p-5 space-y-5 p-5">
<p class="dark:text-gray-200 text-lg">Trade History</p>

<div data-te-datatable-init data-te-entries="10"  class="py-4">
    <table class="min-w-full bg-white border border-gray-300 shadow-md rounded-md overflow-hidden">
        <thead class="bg-gray-800 text-white">
            <tr>
                <th data-te-sort="false" class="py-2 px-4">#</th>
                <th class="py-2 px-4">ACCOUNT</th>
                <th class="py-2 px-4">MARKET</th>
                <th class="py-2 px-4">PAIR</th>
                <th class="py-2 px-4">AMOUNT</th>
                <th class="py-2 px-4">OPTION</th>
                <th class="py-2 px-4">STATUS</th>
                <th class="py-2 px-4 text-red-500">SP</th>
                <th class="py-2 px-4 text-green-500">TP</th>
                <th class="py-2 px-4">DATE</th>
            </tr>
        </thead>
        <tbody class="dark:text-gray-200">

            @forelse($myStakings as $data)
                            <tr>
                    <td class="py-2 px-4">{{ $loop->iteration }}</td>
                    <td class="py-2 px-4">
                        @if($data->account == 'deposit_wallet')
                        Real
                        @else
                        Demo
                        @endif
                    </td>
                    <td class="py-2 px-4">{{$data->market}}</td>
                    <td class="py-2 px-4">
                        @if($data->market == 'cryptocurrency')
                        {{$data->trade_pair1}}
                        @elseif($data->market == 'stock')
                        {{$data->trade_pair2}}
                        @elseif($data->market == 'forex')
                        {{$data->trade_pair3}}
                        @elseif($data->market == 'commodities')
                        {{$data->trade_pair4}}
                        @elseif($data->market == 'indices')
                        {{$data->trade_pair5}}
                        @elseif($data->market == 'bonds')
                        {{$data->trade_pair6}}
                        @elseif($data->market == 'etfs')
                        {{$data->trade_pair7}}
                        @endif
                        </td>
                    <td class="py-2 px-4">${{number_format($data->invest_amount,2)}}</td>
                    <td class="py-2 px-4">
                        <span class='px-2 py-1 rounded-full text-green-500'>{{$data->trade_type}}</span>                    </td>
                        
                    <td class="py-2 px-4">
                        @if ($data->loss_win == 1 && $data->status == 2)
                        <span class='px-2 text-xs py-0.5 rounded-full bg-green-500 text-white'>won</span>
                        @elseif ($data->loss_win == 0 && $data->status == 2)
                        <span class='px-2 text-xs py-0.5 rounded-full bg-red-500 text-white'>loss</span>
                        @else
                        <span class='px-2 text-xs py-0.5 rounded-full bg-yellow-500 text-white'>running</span>
                        @endif
                    </td>
                    <td class="py-2 px-4">${{number_format($data->stop_loss,2)}}</td>
                    <td class="py-2 px-4">${{number_format($data->take_profit,2)}}</td>
                    <td class="py-2 px-4">{{$data->created_at}}</td>
                </tr>
            @empty
                <div class="alert alert-warning">
                    No data
                </div>
            @endforelse
                       
            </tbody>
    </table>
</div>


</div>
    </section>
    @include($activeTemplate . 'partials.trade')

 
@endsection


@push('script') 

@endpush
