<?php
    $preloader = getContent('preloader.content', true);
?>
<!doctype html>
<html lang="<?php echo e(config('app.locale')); ?>" itemscope itemtype="http://schema.org/WebPage">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title> <?php echo e($general->siteName(__($pageTitle))); ?></title>
    <?php echo $__env->make('partials.seo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">    
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Figtree:wght@400;500;600;700;800;900&display=swap" rel="stylesheet">
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.4/dist/sweetalert2.all.min.js"></script>   
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.4/dist/sweetalert2.min.css"> 
    <link
    rel="stylesheet"
    href="https://cdn.jsdelivr.net/npm/tw-elements/dist/css/tw-elements.min.css" />
    <script src="https://cdn.tailwindcss.com/3.3.0"></script>
    <script>
    tailwind.config = {
        darkMode: "class",
        theme: {
            fontFamily: {
                sans: ["Roboto", "sans-serif"],
                body: ["Roboto", "sans-serif"],
                mono: ["ui-monospace", "monospace"],
            },
            extend: {
                colors: {
                    pry: "#101729"
                }
            },
        },
        corePlugins: {
        preflight: false,
        },
    };
    </script>
    <style>
        /* Hide everything within the container except the select menu */
        .skiptranslate {
            position: relative;
        }

        .skiptranslate > iframe{
            display: none;
        }
        .skiptranslate > span {
            display: none; /* Hide all children except the first one */
        }

        .goog-te-combo{
            padding: 5px;
            border-radius: 5px;
            font-family: 'Figtree';
            position: absolute;
            z-index: 10;
        }


        section {
            -ms-overflow-style: none;  /* Internet Explorer 10+ */
            scrollbar-width: none;  /* Firefox */
        }
        section::-webkit-scrollbar { 
            display: none;  /* Safari and Chrome */
        }

        /* Style the table header */
        [data-te-datatable-init] th {
            background-color: #101729;
        }

        /* Style the table cells */
        [data-te-datatable-init] td {
            background-color: #101729;
            color: white;
        }

        /* Alternate row background color */
        [data-te-datatable-init] div:nth-child(even) {
            background-color: #101729;
            color: white;
        }
    </style>
     
</head>

<body style="font-family: Figtree !important;" class="relative dark">
    
    <?php echo $__env->yieldContent('panel'); ?>

    
        <?php echo $__env->yieldPushContent('script'); ?>

    <?php echo $__env->make('partials.notify', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script src="https://cdn.jsdelivr.net/npm/tw-elements/dist/js/tw-elements.umd.min.js"></script>
    
    <script type="text/javascript">
    function googleTranslateElementInit() {
    new google.translate.TranslateElement({pageLanguage: 'en'}, 'google_translate_element');
    }
    </script>
    <script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
</body>
</html>
</body>

</html>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/hyiplab33/core/resources/views/templates/bit_gold/layouts/app.blade.php ENDPATH**/ ?>