<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card b-radius--10 ">
                <div class="card-body p-0">
                    <div class="table-responsive--md  table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('S.N.'); ?></th>
                                    <th><?php echo app('translator')->get('Days'); ?></th>
                                    <th><?php echo app('translator')->get('Interest'); ?></th>
                                    <th><?php echo app('translator')->get('Status'); ?></th>
                                    <th><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $stakings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staking): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($stakings->firstItem() + $loop->index); ?></td>
                                        <td><?php echo e($staking->days); ?> <?php if($staking->days == 30 ): ?> Minutes <?php else: ?> Hours <?php endif; ?></td>
                                        <td><?php echo e(showAmount($staking->interest_percent)); ?>%</td>
                                        <td><?php echo $staking->statusBadge; ?></td>
                                        <td>
                                            <div class="button--group">
                                                <button data-id="<?php echo e($staking->id); ?>" data-duration="<?php echo e($staking->days); ?>" data-interest_amount="<?php echo e(getAmount($staking->interest_percent)); ?>" class="btn btn-outline--primary editBtn btn-sm"><i class="las la-pen"></i><?php echo app('translator')->get('Edit'); ?></button>
                                                <?php if($staking->status): ?>
                                                    <button class="btn btn-sm btn-outline--danger confirmationBtn" data-question="<?php echo app('translator')->get('Are you sure to disable this staking?'); ?>" data-action="<?php echo e(route('admin.staking.status', $staking->id)); ?>"><i class="las la-eye-slash"></i><?php echo app('translator')->get('Disable'); ?></button>
                                                <?php else: ?>
                                                    <button class="btn btn-sm btn-outline--success confirmationBtn" data-question="<?php echo app('translator')->get('Are you sure to enable this staking?'); ?>" data-action="<?php echo e(route('admin.staking.status', $staking->id)); ?>"><i class="las la-eye"></i><?php echo app('translator')->get('Enable'); ?></button>
                                                <?php endif; ?>
                                            </div>
                                        </td>

                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>

                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                <?php if($stakings->hasPages()): ?>
                    <div class="card-footer py-4">
                        <?php echo e(paginateLinks($stakings)); ?>

                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <div class="modal fade" id="stakingModal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="close" data-bs-dismiss="modal"><span><i class="las la-times"></i></span></button>
                </div>
                <form method="post">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="form-group">
                            <label><?php echo app('translator')->get('Duration'); ?> </label>
                            <div class="input-group">
                                <input type="number" class="form-control" name="duration" min="1" required>
                             </div>
                        </div>

                        <div class="form-group">
                            <label><?php echo app('translator')->get('Interest Amount'); ?></label>
                            <div class="input-group">
                                <input type="number" class="form-control" name="interest_amount" min="0" step="any" required>
                                <span class="input-group-text">%</span>
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn--primary w-100 h-45"><i class="fa fa-send"></i> <?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button class="btn btn-outline--primary btn-sm addBtn"><i class="las la-plus"></i> <?php echo app('translator')->get('Add New'); ?></button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            let modal = $('#stakingModal');
            let action = `<?php echo e(route('admin.staking.save')); ?>`;

            $('.addBtn').on('click', function() {
                modal.find('.modal-title').text(`<?php echo app('translator')->get('Add New Staking'); ?>`);
                modal.find('[name=duration]').val('');
                modal.find('[name=interest_amount]').val('');
                modal.find('form').attr('action', action);
                modal.modal('show');
            });

            $('.editBtn').on('click', function() {
                let staking = $(this).data();
                modal.find('.modal-title').text(`<?php echo app('translator')->get('Update Staking'); ?>`);
                modal.find('[name=duration]').val(staking.duration);
                modal.find('[name=interest_amount]').val(staking.interest_amount);
                modal.find('form').attr('action', `${action}/${staking.id}`);
                modal.modal('show');
            });

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bitmatr/public_html/core/resources/views/admin/staking/list.blade.php ENDPATH**/ ?>